| FlexDoc/XML XSDDoc Demo | XML Schemas for DITA 1.1

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML Schema "tblDeclMod.xsd"
Target Namespace:
{no namespace}
Defined Components:
elements (7 global), complexTypes (7), simpleTypes (3), attribute groups (1)
Default Namespace-Qualified Form:
Local Elements: qualified; Local Attributes: unqualified
Schema Location:
https://www.flexdoc.xyz/demo/xsd/dita11/tblDeclMod.xsd; see XML source
Included in Schemas (1):
ditabase.xsd [src]

All Element Summary
colspec |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of colspec.class)
Content: | empty, 17 attributes
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <colspec> element contains a column specification for a table, including assigning a column name and number, cell content alignment, and column width.
entry |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of entry.class)
Content: | mixed, 22 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <entry> element defines a single cell in a table.
row |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of row.class)
Content: | complex, 19 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <row> element contains a single row in a table <tgroup>.
table |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of table.class)
Content: | complex, 23 attributes, 3 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <table> element organizes arbitrarily complex relationships of tabular information. »
tbody |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of tbody.class)
Content: | complex, 18 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <tbody> element contains the rows in a table.
tgroup |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of tgroup.class)
Content: | complex, 21 attributes, 3 elements
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The <tgroup> element in a table contains column, row, spanning, header and footer specifications, and the body (<tbody>) of the table.
thead |
Namespace: | {no namespace}
Type: | anonymous complexType (extension of thead.class)
Content: | complex, 18 attributes, 1 element
Defined: | globally; see XML source
Includes: | declaration of 1 attribute
Referenced: | by 1 location
The table header (<thead>) element precedes the table body (<tbody>) element in a complex table.

Complex Type Summary
colspec.class |
Namespace: | {no namespace}
Content: | empty, 16 attributes
Defined: | globally; see XML source
Includes: | declarations of 7 attributes
Referenced: | by 1 location
entry.class |
Namespace: | {no namespace}
Content: | mixed (allows character data), 21 attributes, 57 elements
Defined: | globally; see XML source
Includes: | declarations of 12 attributes
Referenced: | by 1 location
row.class |
Namespace: | {no namespace}
Content: | complex, 18 attributes, 1 element
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
table.class |
Namespace: | {no namespace}
Content: | complex, 22 attributes, 3 elements
Defined: | globally; see XML source
Includes: | declarations of 5 attributes
Referenced: | by 1 location
tbody.class |
Namespace: | {no namespace}
Content: | complex, 17 attributes, 1 element
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location
tgroup.class |
Namespace: | {no namespace}
Content: | complex, 20 attributes, 3 elements
Defined: | globally; see XML source
Includes: | declarations of 3 attributes
Referenced: | by 1 location
thead.class |
Namespace: | {no namespace}
Content: | complex, 17 attributes, 1 element
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 1 location

Simple Type Summary
align-att.class |
Namespace: | {no namespace}
Derived By: | restriction of xs:string
Defined: | globally; see XML source
Referenced: | by 3 locations
rowheader-att.class |
Namespace: | {no namespace}
Derived By: | restriction of xs:string
Defined: | globally; see XML source
Referenced: | by 1 location
valign-att.class |
Namespace: | {no namespace}
Derived By: | restriction of xs:string
Defined: | globally; see XML source
Referenced: | by 4 locations

Attribute Group Summary
colrowsep-atts |
Namespace: | {no namespace}
Content: | 2 attributes
Defined: | globally; see XML source
Includes: | declarations of 2 attributes
Referenced: | by 4 locations

Overview All Components NS-Bindings | FRAMES NO FRAMES | SEARCH |

XML schema documentation generated with FlexDoc/XML 1.15 using FlexDoc/XML XSDDoc 3.5 template set. All XSD diagrams generated by FlexDoc/XML DiagramKit.